Bug 1166755 - [RFE] Add default-options to iDrac7 Fencing agent in RHEVM
Summary: [RFE] Add default-options to iDrac7 Fencing agent in RHEVM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Eli Mesika
QA Contact: Pavol Brilla
URL:
Whiteboard:
Depends On:
Blocks: 1187985
TreeView+ depends on / blocked
 
Reported: 2014-11-21 16:11 UTC by Martin Tessun
Modified: 2019-04-28 09:25 UTC (History)
13 users (show)

Fixed In Version: ovirt-engine-backend-3.6.0-0.0.master.20150412172306.git55ba764
Doc Type: Enhancement
Doc Text:
With this update, default options have now been added for the Drac7 fencing agent, allowing it to function without the need for prior manual configuration.
Clone Of:
: 1187985 (view as bug list)
Environment:
Last Closed: 2016-03-09 20:51:29 UTC
oVirt Team: Infra
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 36333 master MERGED core: Add default-options to iDrac7 Fencing agent Never
oVirt gerrit 37374 ovirt-engine-3.5 MERGED core: Add default-options to iDrac7 Fencing agent Never
Red Hat Knowledge Base (Solution) 328093 None None None Never

Description Martin Tessun 2014-11-21 16:11:30 UTC
What is the nature and description of the request?  
  Add the needed default options to the iDrac7 fencing agent (lanplus at least)

Why does the customer need this? (List the business requirements here)  
  As there is a new fencing opeiotn iDrac7, which does use ipmilan, it simply makes sense to have this work out of the box. Otherwise the ipmilan can be used as well. Currently it looks like both options really do the same.

How would the customer like to achieve this? (List the functional requirements here)  
  Add lanplus to the default options for the iDrac7 fencing agent.

For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
  If iDrac7 is chosen as fencing device, no more options should be necessary for the agent to work (especially lanplus)

Is there already an existing RFE upstream or in Red Hat Bugzilla?  
  Not that I am aware of.

Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
  RHEV 3.5 would be fine.

Is the sales team involved in this request and do they have any additional input?  
  no

List any affected packages or components.  
  ovirt-engine / database

Comment 3 Martin Tessun 2014-11-28 10:02:19 UTC
The following settings should be added ideally:

privlvl=OPERATOR, lanplus=yes, delay=10

As privlvl Operator is enough and Adminstrator would oppose additional risk.
The delay=10 is needed as a RHEVM system reset might result in just powering off the system instead of power cycling it.

Comment 4 Eli Mesika 2014-12-17 14:01:21 UTC
Please specify if those defaults should apply only for x86 hosts or also for PPC hosts

Comment 5 Julio Entrena Perez 2014-12-17 14:11:16 UTC
Dell probably does not manufacture PPC hosts, so that'd be x86 only.

Comment 9 Pavol Brilla 2016-01-07 14:14:30 UTC
verified:  on rhevm-setup-3.6.2-0.1.el6.noarch

After adding PM iDrac7 console, engine logged:

2015-12-10 13:07:30,028 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FenceVdsVDSCommand] (DefaultQuartzScheduler_Worker-76) [6c9e2a5e] START, FenceVdsVDSCommand(HostName = slot6c, FenceVdsVDSCommandParameters:{runAsync='true', hostId='7c2955c9-b6ef-47f1-a675-59df1e8e454e', targetVdsId=
'6787a481-919d-4b09-8f90-8462678b9ff4', action='STATUS', agent='FenceAgent:{id='9a0fc840-d81e-43b7-90d0-24ab5061e9ba', hostId='6787a481-919d-4b09-8f90-8462678b9ff4', order='1', type='ipmilan', ip='10.34.52.50', port='null', user='root', password='***', encryptOptions='false', options='priv
lvl=OPERATOR
delay=10
lanplus=1'}', policy='null'}), log id: 68419a7a

Comment 11 errata-xmlrpc 2016-03-09 20:51:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.